﻿using System.Collections.Generic;
using UnivateProperties_API.Containers.Property;
using UnivateProperties_API.Model.Properties;

namespace UnivateProperties_API.Repository.Properties
{
    public interface IUserDefinedGroupRepository : IRepository<UserDefinedGroup>
    {
        List<Group> GetFieldList(string name);

        List<Group> GetFieldList(string propertyType, string name, int propertyID);

        List<Group> GetFieldListByPropType(string propertyType);

        List<Group> GetSavedList(int PropertyId);
    }
}
