﻿using System;

namespace UnivateProperties_API.Containers.Property
{
    public class PropertyDisplay
    {
        #region Properties
        public int Id { get; set; }
        public string PropertyUsageType { get; set; }
        public string ShortDescription { get; set; }
        public bool IsSale { get; set; }
        public string DisplayPrice { get; set; }
        public string Area { get; set; }
        public string Beds { get; set; }
        public string Baths { get; set; }
        public string Garages { get; set; }
        public bool ShowFooter
        {
            get
            {
                bool showFooter = true;

                if (string.IsNullOrEmpty(Area) && string.IsNullOrEmpty(Beds) && string.IsNullOrEmpty(Baths) && string.IsNullOrEmpty(Garages))
                    showFooter = false;

                return showFooter;
            }
        }
        public string Province { get; set; }
        public string City { get; set; }
        public string Suburb { get; set; }
        public string PropertyReference { get; set; }
        public string DisplayImage { get; set; }
        public decimal Price { get; set; }        
        public DateTime DateCreated { get; set; }
        public DateTime DateAvailable { get; set; }
        public string Available { get; set; }
        public bool HasPendingOffer { get; set; }
        #endregion
    }
}
