﻿using Microsoft.AspNetCore.Mvc;
using UnivateProperties_API.Model.Financial;

namespace UnivateProperties_API.Controllers.Financial
{
    [Route("api/[controller]")]
    [ApiController]
    public class RedirectController : ControllerBase
    {

        // POST: api/Redirect
        [HttpPost]
        [Consumes("application/x-www-form-urlencoded")]
        public RedirectResult PostRedirect([FromForm] ReturnToMerchant context)
        {
            if (context.TRANSACTION_STATUS == 1)
            {
                return Redirect("http://training.provision-sa.com:122/#/payments/success");
            }
            else if (context.TRANSACTION_STATUS == 2)
            {
                return Redirect("http://training.provision-sa.com:122/#/paymentError");
            }
            else
            {
                return Redirect("http://training.provision-sa.com:122/");
            }

        }
    }
}
